import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:tm_app/data/services/model/liked_tender_feedback/liked_tender_feedback.dart';
import '../meta/meta.dart';

part 'liked_tenders_data.freezed.dart';
part 'liked_tenders_data.g.dart';

@freezed
abstract class LikedTendersData with _$LikedTendersData {
  const factory LikedTendersData({
    required List<LikedTenderFeedback>? feedback,
    required Meta? meta,
  }) = _LikedTendersData;

  factory LikedTendersData.fromJson(Map<String, Object?> json) =>
      _$LikedTendersDataFromJson(json);
}
